Advanced roadmap - Error #424

Error on My Page -> View all issues
2011-02-23 12:52 - Luis Serrano

Status: Resolved Start date: 2011-02-25
Priority: Normal Due date: 2011-02-25
Assignee: Emilio Gonzalez Montafia % Done: 100%
Category: Milestones Estimated time: 0.00 hour
Target version: Advanced roadmap 0.3.3

Source: Redmine version:

Detected on version:

Description
When | put this option the new version of the plugin returns this error:

undefined method “milestones' for nil:NilClass

I have redmine 1.1.1 and the version 0.3.0 of the plugin works fine

Associated revisions

Revision bacf0e32 - 2011-02-25 09:43 - Emilio Gonzalez Montaiia
#424

e Fix milestones sidebar hook.

History

#1 - 2011-02-23 16:56 - Luis Serrano

The problem is in the file _milestones_html.erb, ths code try to sort but i don't have a project name.

#2 - 2011-02-23 23:38 - Emilio Gonzalez Montana
- Category set to Milestones

- Start date deleted (2011-02-23)

Please, attach all the log, Redmine version and plugin version.

#3 - 2011-02-24 08:35 - Luis Serrano
- File production.log added

| attach the log

#4 - 2011-02-24 08:36 - Luis Serrano

the Redmine version is 1.1.1 and the plugin version is 0.3.2

#5 - 2011-02-25 10:36 - Emilio Gonzalez Montafa
- Status changed from New to In progress

- Assignee set to Emilio Gonzalez Montaria

- Target version set to Advanced roadmap 0.3.3

- Start date set to 2011-02-25

Detected problem at My page -> View all issues.

Log:

Processing IssuesController#index (for 192.168.0.1 at 2011-02-25 10:31:20) [GET]

Parameters: {"set_filter"=>"1", "action"=>"index", "assigned_to_id"=>"me", "controller"=>"issues", "sort"=>"
priority:desc,updated_on:desc"}
Rendering template within layouts/base
Rendering issues/index.rhtml

ActionView: :TemplateError
ed_roadmap/app/views/hooks/_milestones.html.erb:
1: <h3><%= 1(:label_milestone_plural) %></h3>

(undefined method "milestones' for nil:NilClass) on line #3 of vendor/plugins/advanc

2%
3: <% (@project.milestones.sort.each do |milestone| %>
4: <%= link_to milestone.name, :controller => :milestones, :action => :show, :id => milestone.id %><br />
5: <% end %>

vendor/plugins/advanced_roadmap/app/views/hooks/_milestones.html.erb:3

lib/redmine/hook.rb:113:in " send'

lib/redmine/hook.rb:113:in ‘view_issues_sidebar_planning_bottom'

lib/redmine/hook.rb:63:in " send'

lib/redmine/hook.rb:63:in “call_hook'

lib/redmine/hook.rb:63:in “each'

lib/redmine/hook.rb:63:in “call_hook'

lib/redmine/hook.rb:60:in “call_hook'

lib/redmine/hook.rb:144:in “call_hook'

app/views/issues/_sidebar.rhtml:14:in °~_run_rhtml_app47views47issuesd7_sidebard6rhtml_locals_object_sideba
o

app/views/issues/index.rhtml:77
app/helpers/application_helper.rb:802:in ‘content_for'

app/views/issues/index.rhtml:76:in ' _run_rhtml_app47views47issues47index46rhtml’
app/controllers/issues_controller.rb:84
app/controllers/issues_controller.rb:83:in " index'

Rendering C:/Archivos de programa/BitNami Redmine Stack/apps/redmine/public/500.html (500 Internal Server Erro

r)

#6 - 2011-02-25 10:36 - Emilio Gonzalez Montaha

- Subject changed from Error clicking in View all issues to Error on My Page -> View all issues

#7 - 2011-02-25 10:44 - Emilio Gonzalez Montaiha
- Due date set to 2011-02-25

- Status changed from In progress to Resolved

- % Done changed from 0 to 100

Files
